<bugID>324512<Summary>Focus should be returned to parent tab only when child tab was opened from a link.</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20060122 Firefox/1.6a1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a1) Gecko/20060122 Firefox/1.6a1

As stated on http://wiki.mozilla.org/Link_Targeting#Moving_Focus_after_Closing_Tabs, the new heuristics was introduced because:
"users frequently open tabs to accomplish some intermediate step in their task (ie: read a definition) and once the tab is closed they wish to be returned to the previously selected tab to continue with their main task."

When user opens a bookmark, a history item, or types in a new address or search it's more likely that his intention was not to accomplish some intermediate step but to abandon the current tab. It unintuitive and I find it confusing. Therefore, I think that the above rationale doesn't apply in this case and we should focus tabs the old way.

Reproducible: Always

Steps to Reproduce:
1. Have a few tabs opened.
2. Select any but the rightmost tab.
3. Middle-click a bookmark to open it in a new tab with focus.
4. Close the new tab. 

Actual Results:  
previously selected tab is focused.


Expected Results:  
rightmost tab is focused (standard behavior).</Description></bugID>